#ifndef MYITEMMODEL_H
#define MYITEMMODEL_H

#include <QAbstractItemModel>
#include <treeitem.h>

class MyItemModel : public QAbstractItemModel
{
    Q_OBJECT;
public:
    MyItemModel(QObject *parent = 0);
    ~MyItemModel();

    int rowCount(const QModelIndex& parent = QModelIndex()) const Q_DECL_OVERRIDE;
    int columnCount(const QModelIndex& parent = QModelIndex()) const Q_DECL_OVERRIDE;

private:
    TreeItem* root;

    TreeItem* getItem(const QModelIndex &index) const;
};

#endif // MYITEMMODEL_H
